



.caselist-page {

    @filterGroupWidth: 18vw;
    @filterFontSize: 1.2vw;

    .filters-wrapper {
        position: absolute;
        top: 40px;
        left: 40px;
        z-index: 80;

        .filters {
            position: relative;
            width: calc(100vw - 80px);
            display: flex;
            
        }

        .filter-group {
            display: flex;
            // max-width: 30vw;
            align-items: center;
            position: relative;
            padding: 1vw 1vw 0 3vw;

            &.active{
                background: #fff;
                border-bottom-color: #fff;

                .ms-options-wrap button{
                    display: none;
                }

                .flex-group{
                    width: 100%;
                    padding-right: 1vw;
                    display: flex;
                    justify-content: space-between;

                    label{
                        color: #000;
                        span{
                            display: none;
                        }
                    }

                    .close-button{
                        display: flex;
                        cursor: pointer;
                        opacity: 0.9;

                        &:hover{
                            opacity: 1;
                        }
                    }
                }

               
            }
            
            &:not(:last-of-type){
                margin-right: 1vw;
            }


    
            .ms-options-wrap button,
            .ms-options-wrap button span,
            .flex-group label{
                font-size: @filterFontSize;
                color: #fff;
                .fontBolder();
            }

            .flex-group{
                display: block;

                label {
                    // cursor: pointer;
                }
               

                .close-button{
                    display: none;
                    line-height: @filterFontSize;
                    align-items: center;
                    img{
                        width: calc(@filterFontSize * 0.75);
                        height: calc(@filterFontSize * 0.75);
                    }
                }
            }
            

            

            .ms-options-wrap {
                .button,
                .button span{
                    .fontNormal();
                }
            }

            .ms-options-wrap>button:focus,
            .ms-options-wrap>button {
                background: transparent;
                color: #fff;
                font-size: @filterFontSize;
                outline: 0 none;
                border: 0 none;
                max-width: 200px;
            }

            .ms-options-wrap>button:after {
                margin-top: -1px;
                border-top-color: #fff;
            }

            .ms-options-wrap>.ms-options {
                .fontNormal();
                // max-width: @filterGroupWidth;
                width: @filterGroupWidth;
                // max-width: 300px;
                // min-width: 150px;
                padding: 1vw;
                margin-top: 1vw; // so it doesnt hide label
            }

            .ms-options-wrap>.ms-options>ul li label,
            .ms-options-wrap>.ms-options>ul li.selected label{
                color: #000;
            }

            .ms-options-wrap>.ms-options>ul li.selected label {
                background-color: transparent;
                border-color: transparent;
                // text-decoration: underline #000;
            }

            .ms-options-wrap > .ms-options > ul label{
                padding: 0;
                line-height: 1.6;
            }

            .ms-options-wrap>.ms-options>ul li .ctext{
                position: relative;
                .underline{
                    position: absolute;
                    left: 0;
                    top: 1.4em;
                    width: 0%;
                    height: 0.1em;
                    background-color: #000;
                }
            }

            .ms-options-wrap>.ms-options>ul li.selected .underline{
                width: 100%;
            }
            

            .ms-options-wrap>.ms-options>ul label {
                padding-left: 2vw;
                .fontBolder();
                font-size: 1.5vw;
            }

            .ms-options-wrap>.ms-options>ul label.focused,
            .ms-options-wrap>.ms-options>ul label:hover {
                background-color: #fff;
                // border-color: #999;
            }

            // custom checkmark
            .custom-checkbox{
                .cmark{
                    font-size: 4vw;
                    top: 0;
                    @checkMarkScale : 0.5;
                    &:after{
                        width: calc(.25em * @checkMarkScale);
                        height: calc(.5em * @checkMarkScale);
                        border-width: 0 calc(.09em * @checkMarkScale) calc(.09em * @checkMarkScale) 0;
                        left: calc(.25em * @checkMarkScale);
                        top: calc(.25em * @checkMarkScale);
                    }
                }
            }
        }
    }

    .hero-section {
        height: 33vh;
        min-height: 400px;
        padding: 3vw;
        position: relative;
        background: #000;
        color: #fff;
        display: flex;
        // overflow: hidden;

        &.hide-gracefully {
            transition: all 0.5s;
            min-height: 0;
            height: 0;
            padding: 0;

        }

        .hero-col {
            font-family: 'Roobert-Medium';
            width: 50%;
            font-size: 6vw;
            text-align: center;
            height: calc(100% - 0.5em);
            display: flex;
            justify-content: center;
            align-items: flex-end;
        }

    }

    .case-study-page.dynamic-case-page {

        position: relative;
        height: 0;
        min-height: 0;
        transition: min-height 0.3s, opacity 0.7s;
        will-change: min-height;
        opacity: 0;

        &.expand {
            min-height: 20vh;
        }

        &.appear {
            opacity: 1;
            min-height: inherit;
            height: inherit;
        }

        .header-section {
            display: none;
            height: 0;
            visibility: hidden;
            overflow: hidden;
        }

        .page-container {
            margin-left: 0;
        }
    }

    a.case-study-page {
        text-decoration: none !important;
        display: block;
    }

    .case-study-page {

        // &:not(.visible):not(.appear){
        //     display: none;
        // }
        &:not(.visible){
            display: none;
        }

        .header-section {

            padding: 5vw;
            height: @caseContainerHeight;
            min-height: @caseContainerHeight;
            cursor: pointer;

            .header-block {
                height: 100%;
                z-index: 2;
                position: relative;
            }

            .case-page-preload,
            .switcheroo {
                position: absolute;
                height: 100%;
            }

            .case-page-preload {
                opacity: 0;
                z-index: 0;
            }

            .switcheroo {
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                z-index: 1;
            }

            .header-title-wrapper,
            .lower-header {
                visibility: hidden;
                opacity: 0;
            }

            .header-image-wrapper,
            .header-image-container,
            .header-image2 {
                z-index: 0;
            }

            .header-image-wrapper {
                transition: 0.5s all;
            }

            .header-image-container {
                position: relative;
                width: 100%;
                height: 100%;
                display: flex;
                justify-content: flex-end;
                align-items: center;
            }

            .header-image2 {

                position: absolute;
                width: @caseContainerHeight;
                // height: 100%;
                object-fit: cover;
                top: 0;
    
                .caseHeaderImageSizes();
            }

            .header-image2_OLD {

                position: absolute;
                width: @caseContainerHeight;
                object-fit: cover;

                &.enter {
                    // transform: scale(1);
                }

                &.transition {}

                &.transition-up {
                    // transform: scale(1) translateX(-25%);
                }
            }

            .project-company {
                font-size: 1.3vw;
                font-family: "Roobert-SemiBold";
            }

            .project-tagline {
                font-size: 5.5vw;
                font-family: "Roobert-SemiBold";
                // -webkit-backdrop-filter: blur(4.8px);
                // backdrop-filter: blur(4.8px);
                line-height: 0.85;
                letter-spacing: -0.59px;
                margin-bottom: 0.5em;
            }

            .project-services {
                overflow: hidden;
                max-height: 100%;

                &,
                p {
                    font-family: "Roobert-Medium";
                    font-size: 1.2vw;
                    line-height: 1.5;
                }
            }

            .project-type {
                font-size: 1.3vw;
                font-family: "Roobert-SemiBold";
            }


        }

        .animated-arrow-link {
            position: absolute;
            right: 0;
            bottom: 0;
            display: block;
            z-index: 3;

            &,
            .inside {
                width: .calc-vw(0.125)[@return];
                height: .calc-vw(0.125)[@return];
            }

            .inside {
                position: relative;
                display: flex;
                justify-content: center;
                align-items: center;
                overflow: hidden;
            }

            .bg {
                position: absolute;
                width: 100%;
                height: 100%;
                background-color: #000;
                z-index: -1;
            }

            .arrow {
                width: 33%;
                height: 100%;
                display: block;
                margin: 0;
                padding: 0;
                object-fit: contain;
                z-index: 3;

                svg {
                    width: 100%;
                    height: 100%;
                }

                path {
                    fill: #FFFFFF;
                }
            }

        }




        // ANIMATINOS & TRANSITIONS
        &.animated {

            overflow: hidden;


            .header-section {

                .header-image2 {
                    // width: @caseContainerHeight;
                    transition: 0.5s all;
                    // will-change: width;
                }

                .project-tagline {
                    position: relative;
                    transform: translateY(75%);
                    will-change: transform;
                    transition: 0.5s all;

                    .outro-cover {
                        position: absolute;
                        top: 0;
                        lefT: 0;
                        content: "";
                        width: 100%;
                        height: 110%;
                        background-color: #fff;
                        transform: translateX(-100%);
                    }
                }

                .project-services {
                    // max-height: 0;
                    visibility: hidden;
                    opacity: 0;
                    overflow: hidden;
                    transform: translateY(100%);
                    will-change: max-height, transform;
                    transition: visibility 0s 0.5s, opacity 0.5s, transform 0.5s;

                }

                .case-page-preload {
                    opacity: 1;
                    z-index: 1;
                }


                .project-company {
                    // title from case-page-preload is visible, so this is hidden
                    opacity: 0;
                    transition: 0s all;
                }

                .header-title-wrapper {
                    opacity: 1;
                    visibility: visible;

                    .header-title {
                        transform: translateX(0vw) translateY(-0.2em);
                        font-size: 1.3vw;
                    }
                }

                .services-title {
                    position: relative;

                    .intro-cover {
                        position: absolute;
                        top: 0;
                        width: 100%;
                        height: 100%;
                        content: "";
                        transform: translateX(0%);
                    }
                }

                .services-list {
                    opacity: 0;
                    transform: translateY(1.5em);
                }

                .header-services {
                    opacity: 0;
                }

                .header-subtitle {
                    transform: translateY(2em);
                    opacity: 0;
                }

            }

            .animated-arrow-link {
                .bg {
                    transform: translateX(-100%);
                    will-change: transform;
                    transition: 0.5s all;
                }

                .arrow {
                    opacity: 0;
                    will-change: opacity;
                    transition: 0.25s all;
                }
            }

            &:hover,
            &.active {

                .header-section {
                    .header-image2 {
                        // width: calc(@caseContainerHeight * 1.1);
                    }

                    .project-tagline {
                        transform: translateY(0%);
                    }

                    .project-services {
                        //    max-height: 100%;
                        visibility: visible;
                        opacity: 1;
                        transform: translateY(0%);
                        transition: visibility 0s, opacity 0.5s, transform 0.5s;
                    }
                }

                .animated-arrow-link {
                    .bg {
                        transform: translateX(0%);
                        transition: 0.5s 0.3s all;
                    }

                    .arrow {
                        opacity: 1;
                    }
                }
            }

            &.transitioning {

                height: 60vw;

                /* must match .case-study-page .header-section in case.less */
                min-height: 60vh;
                margin-bottom: 5vw;
                transition: 0.5s all;


                .header-section {

                    padding: 20vw 12vw;
                    transition: 0.5s all;
                    // transition-delay: 0.2s;

                    .header-image2 {
                        width: calc(@caseContainerHeight * 1.1);
                        transform: translateY(-33%);
                        transition: 0.7s all;
                    }

                    .project-tagline {
                        .outro-cover {
                            transform: translateX(0%);
                            transition: transform 0.3s;
                        }
                    }

                    .project-services {
                        opacity: 0;
                        will-change: opacity;
                    }

                    .header-title-wrapper {
                        .header-title {
                            transform: translateX(0vw) translateY(0em);
                            font-size: 7.7vw;
                            transition: transform 0.6s, font-size 0.7s;
                            transition-delay: 0.1s;
                        }
                    }

                    .lower-header {
                        opacity: 1;
                        visibility: visible;
                    }

                    .header-subtitle {
                        transform: translateY(0%);
                        opacity: 1;
                        transition: transform 1s, opacity 1s;
                        transition-delay: 0.6s;
                    }

                    @delay2: 1s;

                    .header-services {
                        opacity: 1;
                        transition: 0s opacity;
                        transition-delay: @delay2;
                    }

                    .services-title {
                        .intro-cover {
                            transform: translateX(100%);
                            transition: transform 0.8s;
                            transition-delay: @delay2;
                        }
                    }

                    .services-list {
                        opacity: 1;
                        transform: translateY(0);
                        transition: all 0.5s;
                        transition-delay: @delay2;
                    }

                }

                .animated-arrow-link {
                    transform: translateX(100%);
                    transition: 0.5s all;
                }


            }
        }

    }

}

@media screen and (max-width: 800px){

    .caselist-page .hero-section{
        min-height: 400px;
        z-index: 10;
        position: relative;
        .hero-col{
            font-size: 10vw;
        }
    }

    .caselist-page .filters-wrapper .filter-group:not(:last-of-type){
        margin-right: inherit;
    }

    .caselist-page .work-list{
        z-index: 1;
        position: relative;
    }

    .caselist-page .filters-wrapper{
        top: 80px;
    }
    // .caselist-page .filters-wrapper .filter-group > label,
    // .caselist-page .filters-wrapper .filter-group .ms-options-wrap > button:focus, 
    // .caselist-page .filters-wrapper .filter-group .ms-options-wrap > button{
    //     font-size: 4vw;
    // }

    .caselist-page .filters-wrapper .filter-group{
        .ms-options-wrap button,
        .ms-options-wrap button span,
        .flex-group label{
            font-size: 4vw;
        }

    }

    .caselist-page .filters-wrapper .filter-group .ms-options-wrap > .ms-options{
        width: calc(100vw - 80px);
        margin-top: 4vw;
    }
    .caselist-page .filters-wrapper .filter-group .ms-options-wrap > .ms-options > ul label{
        padding-left: 8vw;
        font-size: 4vw;
    }

    .caselist-page .filters-wrapper .filter-group{
        .flex-group{
            .close-button{
                img{
                    width: calc(4vw * 0.75);
                    height: calc(4vw * 0.75);
                }
            }
            
        }

        &.active{
            
            .flex-group{
                padding: 4vw 4vw 4vw 6vw;
                label{
               
                }
            }
        }
    }
    

    .caselist-page{
        .filters-wrapper{
            .filters{
                flex-direction: column;
            }
            .filter-group{
                .custom-checkbox{
                    .cmark{
                        font-size: 8vw;
                        top: 0;
                        @checkMarkScale : 0.5;
                        &:after{
                            width: calc(.25em * @checkMarkScale);
                            height: calc(.5em * @checkMarkScale);
                            border-width: 0 calc(.09em * @checkMarkScale) calc(.09em * @checkMarkScale) 0;
                            left: calc(.75em * @checkMarkScale);
                            top: calc(.4em * @checkMarkScale);
                        }
                    }
                }
            }
        }
    }

}